Subject: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Apr 2021 14:50:03 +0300

> Date: Wed, 7 Apr 2021 11:48:23 +0100
> From: Alan Third <[email-masked]>
> Cc: Andrea Corallo <[email-masked]>, Eli Zaretskii <[email-masked]>,
> 	[email-masked], [email-masked]
> 
> > Why do you need that in the first place?  The compiler should be looking
> > there by default.
> 
> It may be because we have to build with clang, or it may be because of
> how homebrew installs things. Or both. I'm not sure.

That alone is worth a bug report against clang, I think.

>     breton:/Users/alan>gcc -print-file-name=libgccjit.so
>     libgccjit.so
> 
> which isn't helpful, but again may be because gcc is actually clang.

The above means the compiler cannot find the file.  Does the file's
name actually end in .so, or is it some .dynlib or some such?

Does clang support the -v switch, whereby it emits details about the
directories it searches and libraries it scans?  If so, can you run
the link command with that switch and show the entire output?